J!Extensions Store™
Forum
Welcome, Guest
Please Login to access forum.
Extensions compatibility with Joomla 3.3 (1 viewing) 
Go to bottom
TOPIC: Extensions compatibility with Joomla 3.3
#71
John Dagelmore
Admin
Posts: 3504
User Online Now
Extensions compatibility with Joomla 3.3 5 Years, 2 Months ago Karma: 75  
For everyone interested to upgrade to latest Joomla 3.3 release,
this is a notice to let you know that all our extensions are fully compatible.
 
Logged Logged  
  The administrator has disabled public write access.
Go to top